一聚教程网:一个值得你收藏的教程网站

Symfony2.4 如何安装第三方Bundle

mg电子:高精度光学分频器是开展光钟应用研究不可缺少的关键技术。

时间:2014-11-14 00:00:00 编辑:简简单单 来源:转载

添加Composer依赖包

Symfony中使用的依赖包管理工具是Composer,我们在开始安装某个bundle之前,先到这个bundle对应的packagist (Packagist是Composer的官方仓库,所有用Composer管理的包都在这里可以找到)页面去看看。

添加bundle到composer.json

 代码如下

{
    ...,
    "require": {
        ...,
        "friendsofsymfony/user-bundle": "2.0.*@dev"
    }
}
 

更新依赖包

$ php composer.phar update friendsofsymfony/user-bundle

或执行更新所有依赖包

$ php composer.phar update
 

你可以直接行下面的命令来完成一样的工作:

$ php composer.phar require friendsofsymfony/user-bundle:2.0.*@dev
 

启用bundle

到目前为止,你已经在你的Symfony项目中安装了friendsofsymfony bundle(它存放在 vendor/friendsofsymfony/  )且自动加载也配置了该类,现在需要做的是注册bundle到AppKernel中:

 代码如下
// app/AppKernel.php
 
// ...
class AppKernel extends Kernel
{
    // ...
 
    public function registerBundles()
    {
        $bundles = array(
            // ...,
            new FOS\UserBundle\FOSUserBundle(),
        );
 
        // ...
    }
}
 

配置bundle

通常一个bundle需要加载一些配置到你的应用的配置文件 app/config/config.yml 中。在你要使用的bundle的文档中都会有关于配置的描述。但是你也可以通过 config:dump-reference  命令得到对应bundle的参考配置。

例如,看一下 assetic 的参考配置可以使用:

$ app/console config:dump-reference AsseticBundle

或使用:

$ app/console config:dump-reference assetic

文章评论

热门栏目

合作: 皇冠体育 老虎机试玩 mg电子